Skip to main content
PUT
Update Shop

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
name
string
required

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

subdomain
string
required

Must match the regex /^(?!-)[A-Za-z0-9-]+(?<!-)$/. Must not be greater than 255 characters.

Example:

"nssrciatkmatldznkaapj"

logo_image_id
string | null

Must match an existing stored value.

Example:

null

favicon_image_id
string | null

Must match an existing stored value.

Example:

null

background_image_id
string | null

Must match an existing stored value.

Example:

null

discord_client_id
string | null

Must not be greater than 30 characters.

Example:

"ptdhyldmarwuvlvyfcejz"

discord_client_secret
string | null

Must not be greater than 64 characters.

Example:

"olbxnqyvzmcgyfpncfyst"

discord_bot_token
string | null

Must not be greater than 100 characters.

Example:

"nonjizoohlpabvwbfbzkw"

discord_login_enabled
boolean | null
Example:

true

crisp_website_id
string | null

Must not be greater than 40 characters.

Example:

"sewlxtdfjxskykaapbpdx"

tawkto_id
string | null

Must not be greater than 40 characters.

Example:

"voinjyyjgewzrvldmtkty"

gtag_id
string | null

Must not be greater than 30 characters.

Example:

"kspxnwtkwmotupuntpewa"

gtm_id
string | null

Must not be greater than 30 characters.

Example:

"eqmxearmqdrugeraqymfe"

meta_pixel_id
string | null

Must not be greater than 30 characters.

Example:

"gawtjymzjryiswgvrvsnl"

trustpilot_afs_email
string | null

Must be a valid email address. Must match the regex /@invite.trustpilot.com$/i. Must not be greater than 255 characters.

Example:

"hills.rory@example.com"

description
string | null

Must not be greater than 65535 characters.

Example:

"Dignissimos et officiis eius."

meta_title
string | null

Must not be greater than 255 characters.

Example:

"xdnpytwkzmrivvydpytrx"

meta_description
string | null

Must not be greater than 65535 characters.

Example:

"enarcdhbxnxeohvqqinls"

meta_image_id
string | null

Must match an existing stored value.

Example:

null

meta_twitter_card
enum<string>
Available options:
summary,
summary_large_image
Example:

"summary_large_image"

invoice_header
string | null

Must not be greater than 65535 characters.

Example:

"eqaclxvxvxxogzgeajuzg"

invoice_notes
string | null

Must not be greater than 65535 characters.

Example:

"zyecwzbckqdwpluwpkfke"

Must not be greater than 65535 characters.

Example:

"wfylathpaxyvlxlkwxicy"

invoice_attach_email
boolean | null
Example:

true

tax_enabled
boolean | null
Example:

true

tax_rate
integer | null

Must be at least 0. Must not be greater than 100.

Example:

16

tax_countries
object | null
Example:

null

force_custom_domain
boolean | null
Example:

true

refund_out_of_stock_to_customer_balance
boolean | null
Example:

true

hide_out_of_stock_products
boolean | null
Example:

false

hide_out_of_stock_variants
boolean | null
Example:

false

require_shipping_zone
boolean | null
Example:

false

noindex
boolean
Example:

true

powered_by_enabled
boolean | null
Example:

true

maintenance_enabled
boolean | null
Example:

true

maintenance_password
string | null

Must not be greater than 255 characters.

Example:

"tncjtuqjtrzfffyaseegy"

currency
string | null

Must be 3 characters.

Example:

"xqk"

default_language
enum<string> | null
Available options:
en,
ar,
de,
es,
fa,
fi,
fr,
he,
hi,
hr,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
ru,
sv,
tr,
uk,
vi,
zh
Example:

"ko"

enabled_languages
enum<string>[]
Available options:
en,
ar,
de,
es,
fa,
fi,
fr,
he,
hi,
hr,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
ru,
sv,
tr,
uk,
vi,
zh
Example:

Response

200